Amplifying your potential.

Version 0.3.0 is broken! [SOLVED]

Your feedback is very important to us. We are listening.
8 posts • Page 1 of 1

Version 0.3.0 is broken! [SOLVED]

Postby kloveridge » Wed Dec 21, 2016 9:54 pm

I downloaded the latest version of Amplify Texture and after I make a shader network and try to save, I get this error in Unity:

FormatException: Input string was not in a correct format
System.String.ParseFormatSpecifier( System.String str, ....


I am using this in Unity 5.4.3
kloveridge
 
Posts: 4
Joined: Wed Dec 21, 2016 9:50 pm

Re: Version 0.3.0 is broken!

Postby Ricardo Teixeira » Wed Dec 21, 2016 10:06 pm

kloveridge wrote:I downloaded the latest version of Amplify Texture and after I make a shader network and try to save, I get this error in Unity:

FormatException: Input string was not in a correct format
System.String.ParseFormatSpecifier( System.String str, ....


I am using this in Unity 5.4.3


Hello,

Thank you for using the Amplify Shader Editor. Is the problem also present in a new empty, or simple, shader? Can you reproduce the issue on a new empty project?

Can you send us the shader that gives out that error? We would be happy to examine it on our side.

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 612
Joined: Fri Aug 09, 2013 2:26 pm

Re: Version 0.3.0 is broken!

Postby kloveridge » Wed Dec 21, 2016 10:16 pm

You should be able to reproduce it without much effort. Just start a new shader. Attach a texture node to the albedo and hit the save button. When you hit the save button the window comes up that says, "Select Shader to save". Just use the default name this is put in there (MyNewShader). And hit the save button.

The error pops up immedietly. I just tested this in Unity 5.5 on a different machine and got the same error.
kloveridge
 
Posts: 4
Joined: Wed Dec 21, 2016 9:50 pm

Re: Version 0.3.0 is broken!

Postby Ricardo Teixeira » Wed Dec 21, 2016 10:22 pm

kloveridge wrote:You should be able to reproduce it without much effort. Just start a new shader. Attach a texture node to the albedo and hit the save button. When you hit the save button the window comes up that says, "Select Shader to save". Just use the default name this is put in there (MyNewShader). And hit the save button.

The error pops up immedietly. I just tested this in Unity 5.5 on a different machine and got the same error.


Thank you for the additional information. We will run a few tests on our side and get back to you as soon as possible.

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 612
Joined: Fri Aug 09, 2013 2:26 pm

Re: Version 0.3.0 is broken!

Postby Ricardo Teixeira » Wed Dec 21, 2016 10:35 pm

kloveridge wrote:You should be able to reproduce it without much effort. Just start a new shader. Attach a texture node to the albedo and hit the save button. When you hit the save button the window comes up that says, "Select Shader to save". Just use the default name this is put in there (MyNewShader). And hit the save button.

The error pops up immedietly. I just tested this in Unity 5.5 on a different machine and got the same error.


Hello,

I did a few tests but, unfortunately, I was not able to replicate the issue. Tested with existing and new shaders, standard and virtualized. Are you using the latest Amplify Shader Editor downloaded from our website or from the Unity Asset Store? I also recommend downloading the latest Amplify Texture 2 version.

If the problem is not fixed by using the latest packages, please create a new project with the problem present and send the download link directly to support@amplify.pt.

Apologies for the inconvenience.

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 612
Joined: Fri Aug 09, 2013 2:26 pm

Re: Version 0.3.0 is broken! [Pending Confirmation]

Postby kloveridge » Wed Dec 21, 2016 10:57 pm

Actually, I had the previous version. Went to my plugins and saw you had a update. So I just hit the update button. However. On my other machine, I started a fresh project and downloaded Amplify from my list of purchased assets. So in both cases, it came from the unity store. I'll go to your site and download it and see if the problem goes away. I'll let you know.

Thanks for you help!
kloveridge
 
Posts: 4
Joined: Wed Dec 21, 2016 9:50 pm

Re: Version 0.3.0 is broken! [Pending Confirmation]

Postby kloveridge » Wed Dec 21, 2016 11:22 pm

Alright. Here's the deal. I was plugging a Texture Object into the albedo. Not a Texture Sampler. I'm actually a shader programmer. And I have only used Amplify a few times. I wanted to look at some of the code it generated and didn't take the time to know the correct node. I just type "Texture" into the node lookup and that was what it presented first and assumed you may have renamed it.

Anyway. If you want to see the error, plug in a Texture Object in instead of a Texture Sampler. But using the correct node is the important part to make it work correctly. Sorry for the fire drill.
:shock:
kloveridge
 
Posts: 4
Joined: Wed Dec 21, 2016 9:50 pm

Re: Version 0.3.0 is broken! [Pending Confirmation]

Postby Ricardo Teixeira » Wed Dec 21, 2016 11:38 pm

kloveridge wrote:Alright. Here's the deal. I was plugging a Texture Object into the albedo. Not a Texture Sampler. I'm actually a shader programmer. And I have only used Amplify a few times. I wanted to look at some of the code it generated and didn't take the time to know the correct node. I just type "Texture" into the node lookup and that was what it presented first and assumed you may have renamed it.

Anyway. If you want to see the error, plug in a Texture Object in instead of a Texture Sampler. But using the correct node is the important part to make it work correctly. Sorry for the fire drill.
:shock:


Hello,

That's great, happy to know that it was nothing game breaking. Your feedback is very valuable, we will likely add an Editor warning instead of simply showing a console error. Since the Texture Object shows up before the Sampler, it might be a good idea to warn other users about it.

Be sure to let us know if you run into any additional issues, we would be happy to help.

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 612
Joined: Fri Aug 09, 2013 2:26 pm


8 posts • Page 1 of 1

Return to General Discussion

Who is online

Users browsing this forum: No registered users and 1 guest